#ifndef __PNG_H__
#define __PNG_H__
#include <videoloader.h>

#define NAME "PNG File loader"
#define VERSION "0.1"
#define COPYRIGHT "Copyright (C) Ruben Lopez Gomez"
#define DESCRIPTION "A Plug-in that loads all png files"

class PNG: public VideoLoader {
    Image *read(int position);
    int size() { return 1; }

    bool canLoad(const char *filename);
    char* getLoaderName() { return NAME; }
    char* getLoaderVersion() { return VERSION; }
    char* getLoaderCopyright() { return COPYRIGHT; }
    char**getLoaderAuthors();
    Prototype *clone() { return new PNG(); }

    char* getLoaderDescription() {return DESCRIPTION;}
};

#endif
