#include <config.h>
#include <gdk/gdk.h>
#include "gnome_waiter.h"

void GnomeWaiter::WaitRead(int fd, WaitFunc fnc, void *data) {
    gdk_input_add(fd,GDK_INPUT_READ,(GdkInputFunction)fnc, (gpointer)data);
}

void GnomeWaiter::WaitWrite(int fd, WaitFunc fnc, void *data) {
    gdk_input_add(fd,GDK_INPUT_WRITE,(GdkInputFunction)fnc, (gpointer)data);
}
