// GAnSO - GNOME Animation StudiO
// Copyright (C) 2000 Ruben Lopez Gomez
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef __SEQ_VIEW_H__
#define __SEQ_VIEW_H__

#include "comp_view.h"
#include <seqimstream.h>

class SeqView:public CompView {
private:
    void updateOneStream(ImStream *s);
    void clearVisualList();
    void noticeMore(char *event, Subject *source);
public:
    void show();
    void action(char *action);
    Prototype *clone();
};

#endif
