#include <videoloader.h>

#define NAME "PPM File loader"
#define VERSION "0.1"
#define COPYRIGHT "Copyright (C) Ruben Lopez Gomez"
#define DESCRIPTION "A Plug-in that loads simple binary ppm files"

class PPM: public VideoLoader {
private:
    Image *read(int position);
    int size() { return 1; }

    bool canLoad(const char *filename);
    char* getLoaderName() { return NAME; }
    char* getLoaderVersion() { return VERSION; }
    char* getLoaderCopyright() { return COPYRIGHT; }
    char**getLoaderAuthors();
    Prototype *clone() { return new PPM(); }

    char* getLoaderDescription() {return DESCRIPTION;}
public:
};
