// GAnSO - GNOME Animation StudiO
// Copyright (C) 2000 Ruben Lopez Gomez
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef __SELECT_FILTER_H__
#define __SELECT_FILTER_H__

#include "view.h"
#include <creation.h>
#include <filterimstream.h>

#define SELECT_FILTER_DONE "SfDoNe"

class SelectFilter: public View, public Subject {
    FilterImStream *selected;
    SelectFilter();
    bool shown;
public:
    static SelectFilter *getInstance();
    void action(char *action);
    void setSelected(int filter);
    FilterImStream *getFilter();
    void show();
    void hide();
};

#endif
