// GAnSO - GNOME Animation StudiO
// Copyright (C) 2000 Ruben Lopez Gomez
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef __SELECT_TEMPLATE_H__
#define __SELECT_TEMPLATE_H__

#define SELECT_TEMPLATE_BUILD_COMPLETE "SeTeBCom"

#define ICON_SIZE 64

#include "view.h"
#include <template.h>

class SelectTemplate: public Subject, View {
    SelectTemplate();
    ~SelectTemplate();
    bool shown;
    ImStream *stream;
    Template *_template;
public:
    static SelectTemplate *getInstance(); // Returns the unique possible instance of this class

    void action(char *action);
    void notice(char *event, Subject *source);

    ImStream *getStream();

    void show();
    void hide();
    void reconfig(int w, int h);
    void setTemplate(int stream);
};
    
#endif
